Summary:	X.org input driver for Linux generic event devices
Summary(pl.UTF-8):	Sterownik wejściowy X.org dla ogólnych urządzeń linuksowych generujących zdarzenia
Name:		xorg-driver-input-evdev
Version:	2.10.6
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	https://xorg.freedesktop.org/releases/individual/driver/xf86-input-evdev-%{version}.tar.bz2
# Source0-md5:	e8bd1edc6751f92e425cae7eba3c61eb
URL:		https://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	libevdev-devel >= 0.4
BuildRequires:	libtool
BuildRequires:	mtdev-devel
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	rpmbuild(macros) >= 1.389
BuildRequires:	udev-devel
BuildRequires:	xorg-proto-inputproto-devel >= 2.2
BuildRequires:	xorg-proto-kbproto-devel
BuildRequires:	xorg-proto-xproto-devel
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRequires:	xorg-xserver-server-devel >= 1.12
%{?requires_xorg_xserver_xinput}
Requires:	libevdev >= 0.4
Requires:	xorg-xserver-server >= 1.12
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X.org input driver for Linux generic event devices. It supports all
input devices that the kernel knows about, including most mice and
keyboards.

%description -l pl.UTF-8
Sterownik wejściowy X.org dla ogólnych urządzeń linuksowych
generujących zdarzenia. Obsługuje wszystkie urządzenia wejściowe znane
przez jądro, w tym większość myszy i klawiatur.

%package devel
Summary:	Header file for evdev driver
Summary(pl.UTF-8):	Plik nagłówkowy sterownika evdev
Group:		Development/Libraries

%description devel
Header file for evdev driver.

%description devel -l pl.UTF-8
Plik nagłówkowy sterownika evdev.

%prep
%setup -q -n xf86-input-evdev-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/xorg/modules/*/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_libdir}/xorg/modules/input/evdev_drv.so
%{_datadir}/X11/xorg.conf.d/10-evdev.conf
%{_mandir}/man4/evdev.4*

%files devel
%defattr(644,root,root,755)
%{_includedir}/xorg/evdev-properties.h
%{_pkgconfigdir}/xorg-evdev.pc
%changelog
* Fri Jun 29 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-driver-input-evdev.git;a=log;h=master

* Fri Jun 29 2018 Jakub Bogusz <qboosh@pld-linux.org> b131191
- updated to 2.10.6

* Thu Jan 19 2017 Jakub Bogusz <qboosh@pld-linux.org> cbd9ddd
- updated to 2.10.5

* Thu Nov 17 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> d049fe1
- xserver rebuild
- release 2 (by relup.sh)

* Sat Oct 01 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 7ec04ae
- up to 2.10.4

* Wed Jun 01 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> af0a439
- up to 2.10.3

* Wed May 11 2016 Jakub Bogusz <qboosh@pld-linux.org> 0c65bbc
- updated to 2.10.2

* Fri Jan 08 2016 Jakub Bogusz <qboosh@pld-linux.org> 513796b
- updated to 2.10.1

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 9ef79c9
- release 3 (by relup.sh)

* Mon Nov 09 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> a26335e
- rel 2; use upstream 10-evdev.conf

* Thu Oct 29 2015 Jakub Bogusz <qboosh@pld-linux.org> fcebde6
- updated to 2.10.0

* Tue Apr 07 2015 Jakub Bogusz <qboosh@pld-linux.org> c068ef7
- updated to 2.9.2

* Fri Nov 28 2014 Jakub Bogusz <qboosh@pld-linux.org> 01c3eb4
- updated to 2.9.1

* Thu Jul 17 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 38bce88
- xserver rebuild
- release 3 (by relup.sh)

* Thu Jul 17 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 139544f
- xserver rebuild
- release 2 (by relup.sh)

* Tue May 20 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> aada7f2
- up to 2.9.0

* Thu May 08 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> f220b1d
- up to 2.8.4

* Tue Apr 29 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 44bed2e
- up to 2.8.3

* Fri Jan 03 2014 Jan Rękorajski <baggins@pld-linux.org> 59a7711
- release 3 (by relup.sh)

* Sat Nov 30 2013 Jan Rękorajski <baggins@pld-linux.org> cd16951
- release 2 (by relup.sh)

* Mon Oct 07 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> ce425e6
- up to 2.8.2

